### Method

# Gimp Metadata duplicate

#### Declaration [src]

    GimpMetadata*
    gimp_metadata_duplicate (
      GimpMetadata* metadata
    )

#### Description [src]

Duplicates a `GimpMetadata` instance.

Available since: | 2.10

#### Return value

Returns: | `GimpMetadata`

              The new `GimpMetadata`, or `NULL` if `metadata` is `NULL`.

| The caller of the method takes ownership of the data, and is responsible for freeing it.